# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.1

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7/build

# Include any dependencies generated for this target.
include client/CMakeFiles/scarchat.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include client/CMakeFiles/scarchat.dir/compiler_depend.make

# Include the progress variables for this target.
include client/CMakeFiles/scarchat.dir/progress.make

# Include the compile flags for this target's objects.
include client/CMakeFiles/scarchat.dir/flags.make

client/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/resources/resources.qrc
client/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp: client/CMakeFiles/scarchat_autogen.dir/AutoRcc_resources_3YJK5W5UP7_Info.json
client/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp: /usr/lib64/qt6/libexec/rcc
client/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp: /usr/lib64/qt6/libexec/rcc
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Automatic RCC for resources/resources.qrc"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/cmake -E cmake_autorcc /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client/CMakeFiles/scarchat_autogen.dir/AutoRcc_resources_3YJK5W5UP7_Info.json Release

client/CMakeFiles/scarchat.dir/codegen:
.PHONY : client/CMakeFiles/scarchat.dir/codegen

client/CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.o: client/scarchat_autogen/mocs_compilation.cpp
client/CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object client/CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.o -MF CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.o.d -o CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client/scarchat_autogen/mocs_compilation.cpp

client/CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client/scarchat_autogen/mocs_compilation.cpp > CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.i

client/CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client/scarchat_autogen/mocs_compilation.cpp -o CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.s

client/CMakeFiles/scarchat.dir/main.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/main.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/main.cpp
client/CMakeFiles/scarchat.dir/main.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object client/CMakeFiles/scarchat.dir/main.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/main.cpp.o -MF CMakeFiles/scarchat.dir/main.cpp.o.d -o CMakeFiles/scarchat.dir/main.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/main.cpp

client/CMakeFiles/scarchat.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/main.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/main.cpp > CMakeFiles/scarchat.dir/main.cpp.i

client/CMakeFiles/scarchat.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/main.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/main.cpp -o CMakeFiles/scarchat.dir/main.cpp.s

client/CMakeFiles/scarchat.dir/mainwindow.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/mainwindow.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/mainwindow.cpp
client/CMakeFiles/scarchat.dir/mainwindow.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object client/CMakeFiles/scarchat.dir/mainwindow.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/mainwindow.cpp.o -MF CMakeFiles/scarchat.dir/mainwindow.cpp.o.d -o CMakeFiles/scarchat.dir/mainwindow.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/mainwindow.cpp

client/CMakeFiles/scarchat.dir/mainwindow.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/mainwindow.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/mainwindow.cpp > CMakeFiles/scarchat.dir/mainwindow.cpp.i

client/CMakeFiles/scarchat.dir/mainwindow.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/mainwindow.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/mainwindow.cpp -o CMakeFiles/scarchat.dir/mainwindow.cpp.s

client/CMakeFiles/scarchat.dir/connection/client_connection.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/connection/client_connection.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/connection/client_connection.cpp
client/CMakeFiles/scarchat.dir/connection/client_connection.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object client/CMakeFiles/scarchat.dir/connection/client_connection.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/connection/client_connection.cpp.o -MF CMakeFiles/scarchat.dir/connection/client_connection.cpp.o.d -o CMakeFiles/scarchat.dir/connection/client_connection.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/connection/client_connection.cpp

client/CMakeFiles/scarchat.dir/connection/client_connection.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/connection/client_connection.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/connection/client_connection.cpp > CMakeFiles/scarchat.dir/connection/client_connection.cpp.i

client/CMakeFiles/scarchat.dir/connection/client_connection.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/connection/client_connection.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/connection/client_connection.cpp -o CMakeFiles/scarchat.dir/connection/client_connection.cpp.s

client/CMakeFiles/scarchat.dir/config/client_config.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/config/client_config.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/config/client_config.cpp
client/CMakeFiles/scarchat.dir/config/client_config.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object client/CMakeFiles/scarchat.dir/config/client_config.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/config/client_config.cpp.o -MF CMakeFiles/scarchat.dir/config/client_config.cpp.o.d -o CMakeFiles/scarchat.dir/config/client_config.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/config/client_config.cpp

client/CMakeFiles/scarchat.dir/config/client_config.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/config/client_config.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/config/client_config.cpp > CMakeFiles/scarchat.dir/config/client_config.cpp.i

client/CMakeFiles/scarchat.dir/config/client_config.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/config/client_config.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/config/client_config.cpp -o CMakeFiles/scarchat.dir/config/client_config.cpp.s

client/CMakeFiles/scarchat.dir/ui/login_dialog.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/ui/login_dialog.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/login_dialog.cpp
client/CMakeFiles/scarchat.dir/ui/login_dialog.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Building CXX object client/CMakeFiles/scarchat.dir/ui/login_dialog.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/ui/login_dialog.cpp.o -MF CMakeFiles/scarchat.dir/ui/login_dialog.cpp.o.d -o CMakeFiles/scarchat.dir/ui/login_dialog.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/login_dialog.cpp

client/CMakeFiles/scarchat.dir/ui/login_dialog.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/ui/login_dialog.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/login_dialog.cpp > CMakeFiles/scarchat.dir/ui/login_dialog.cpp.i

client/CMakeFiles/scarchat.dir/ui/login_dialog.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/ui/login_dialog.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/login_dialog.cpp -o CMakeFiles/scarchat.dir/ui/login_dialog.cpp.s

client/CMakeFiles/scarchat.dir/ui/chat_widget.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/ui/chat_widget.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/chat_widget.cpp
client/CMakeFiles/scarchat.dir/ui/chat_widget.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_8) "Building CXX object client/CMakeFiles/scarchat.dir/ui/chat_widget.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/ui/chat_widget.cpp.o -MF CMakeFiles/scarchat.dir/ui/chat_widget.cpp.o.d -o CMakeFiles/scarchat.dir/ui/chat_widget.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/chat_widget.cpp

client/CMakeFiles/scarchat.dir/ui/chat_widget.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/ui/chat_widget.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/chat_widget.cpp > CMakeFiles/scarchat.dir/ui/chat_widget.cpp.i

client/CMakeFiles/scarchat.dir/ui/chat_widget.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/ui/chat_widget.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/chat_widget.cpp -o CMakeFiles/scarchat.dir/ui/chat_widget.cpp.s

client/CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/user_list_widget.cpp
client/CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_9) "Building CXX object client/CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.o -MF CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.o.d -o CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/user_list_widget.cpp

client/CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/user_list_widget.cpp > CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.i

client/CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/user_list_widget.cpp -o CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.s

client/CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/video_grid_widget.cpp
client/CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_10) "Building CXX object client/CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.o -MF CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.o.d -o CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/video_grid_widget.cpp

client/CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/video_grid_widget.cpp > CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.i

client/CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/ui/video_grid_widget.cpp -o CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.s

client/CMakeFiles/scarchat.dir/media/camera_capture.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/media/camera_capture.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/camera_capture.cpp
client/CMakeFiles/scarchat.dir/media/camera_capture.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_11) "Building CXX object client/CMakeFiles/scarchat.dir/media/camera_capture.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/media/camera_capture.cpp.o -MF CMakeFiles/scarchat.dir/media/camera_capture.cpp.o.d -o CMakeFiles/scarchat.dir/media/camera_capture.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/camera_capture.cpp

client/CMakeFiles/scarchat.dir/media/camera_capture.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/media/camera_capture.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/camera_capture.cpp > CMakeFiles/scarchat.dir/media/camera_capture.cpp.i

client/CMakeFiles/scarchat.dir/media/camera_capture.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/media/camera_capture.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/camera_capture.cpp -o CMakeFiles/scarchat.dir/media/camera_capture.cpp.s

client/CMakeFiles/scarchat.dir/media/screen_capture.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/media/screen_capture.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/screen_capture.cpp
client/CMakeFiles/scarchat.dir/media/screen_capture.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_12) "Building CXX object client/CMakeFiles/scarchat.dir/media/screen_capture.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/media/screen_capture.cpp.o -MF CMakeFiles/scarchat.dir/media/screen_capture.cpp.o.d -o CMakeFiles/scarchat.dir/media/screen_capture.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/screen_capture.cpp

client/CMakeFiles/scarchat.dir/media/screen_capture.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/media/screen_capture.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/screen_capture.cpp > CMakeFiles/scarchat.dir/media/screen_capture.cpp.i

client/CMakeFiles/scarchat.dir/media/screen_capture.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/media/screen_capture.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/screen_capture.cpp -o CMakeFiles/scarchat.dir/media/screen_capture.cpp.s

client/CMakeFiles/scarchat.dir/media/video_encoder.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/media/video_encoder.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/video_encoder.cpp
client/CMakeFiles/scarchat.dir/media/video_encoder.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_13) "Building CXX object client/CMakeFiles/scarchat.dir/media/video_encoder.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/media/video_encoder.cpp.o -MF CMakeFiles/scarchat.dir/media/video_encoder.cpp.o.d -o CMakeFiles/scarchat.dir/media/video_encoder.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/video_encoder.cpp

client/CMakeFiles/scarchat.dir/media/video_encoder.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/media/video_encoder.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/video_encoder.cpp > CMakeFiles/scarchat.dir/media/video_encoder.cpp.i

client/CMakeFiles/scarchat.dir/media/video_encoder.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/media/video_encoder.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/video_encoder.cpp -o CMakeFiles/scarchat.dir/media/video_encoder.cpp.s

client/CMakeFiles/scarchat.dir/media/video_decoder.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/media/video_decoder.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/video_decoder.cpp
client/CMakeFiles/scarchat.dir/media/video_decoder.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_14) "Building CXX object client/CMakeFiles/scarchat.dir/media/video_decoder.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/media/video_decoder.cpp.o -MF CMakeFiles/scarchat.dir/media/video_decoder.cpp.o.d -o CMakeFiles/scarchat.dir/media/video_decoder.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/video_decoder.cpp

client/CMakeFiles/scarchat.dir/media/video_decoder.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/media/video_decoder.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/video_decoder.cpp > CMakeFiles/scarchat.dir/media/video_decoder.cpp.i

client/CMakeFiles/scarchat.dir/media/video_decoder.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/media/video_decoder.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/client/media/video_decoder.cpp -o CMakeFiles/scarchat.dir/media/video_decoder.cpp.s

client/CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.o: client/CMakeFiles/scarchat.dir/flags.make
client/CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.o: client/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp
client/CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.o: client/CMakeFiles/scarchat.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_15) "Building CXX object client/CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT client/CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.o -MF CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.o.d -o CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp

client/CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp > CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.i

client/CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp -o CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.s

# Object files for target scarchat
scarchat_OBJECTS = \
"CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.o" \
"CMakeFiles/scarchat.dir/main.cpp.o" \
"CMakeFiles/scarchat.dir/mainwindow.cpp.o" \
"CMakeFiles/scarchat.dir/connection/client_connection.cpp.o" \
"CMakeFiles/scarchat.dir/config/client_config.cpp.o" \
"CMakeFiles/scarchat.dir/ui/login_dialog.cpp.o" \
"CMakeFiles/scarchat.dir/ui/chat_widget.cpp.o" \
"CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.o" \
"CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.o" \
"CMakeFiles/scarchat.dir/media/camera_capture.cpp.o" \
"CMakeFiles/scarchat.dir/media/screen_capture.cpp.o" \
"CMakeFiles/scarchat.dir/media/video_encoder.cpp.o" \
"CMakeFiles/scarchat.dir/media/video_decoder.cpp.o" \
"CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.o"

# External object files for target scarchat
scarchat_EXTERNAL_OBJECTS =

client/scarchat: client/CMakeFiles/scarchat.dir/scarchat_autogen/mocs_compilation.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/main.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/mainwindow.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/connection/client_connection.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/config/client_config.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/ui/login_dialog.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/ui/chat_widget.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/ui/user_list_widget.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/ui/video_grid_widget.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/media/camera_capture.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/media/screen_capture.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/media/video_encoder.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/media/video_decoder.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp.o
client/scarchat: client/CMakeFiles/scarchat.dir/build.make
client/scarchat: client/CMakeFiles/scarchat.dir/compiler_depend.ts
client/scarchat: shared/libscarchat_shared.a
client/scarchat: /usr/lib64/libQt6Widgets.so.6.10.1
client/scarchat: /usr/lib64/libQt6Network.so.6.10.1
client/scarchat: /usr/lib64/libQt6Sql.so.6.10.1
client/scarchat: /usr/lib64/libboost_system.so.1.88.0
client/scarchat: /usr/lib64/libssl.so
client/scarchat: /usr/lib64/libcrypto.so
client/scarchat: /usr/lib64/libboost_thread.so.1.88.0
client/scarchat: third_party/libargon2_lib.a
client/scarchat: /usr/lib64/libssl.so
client/scarchat: /usr/lib64/libcrypto.so
client/scarchat: /usr/lib64/libQt6Gui.so.6.10.1
client/scarchat: /usr/lib64/libGLX.so
client/scarchat: /usr/lib64/libOpenGL.so
client/scarchat: /usr/lib64/libQt6Core.so.6.10.1
client/scarchat: /usr/lib64/libsdbus-c++.so
client/scarchat: /usr/lib64/libsystemd.so
client/scarchat: /usr/lib64/libpipewire-0.3.so
client/scarchat: /usr/lib64/libavcodec.so
client/scarchat: /usr/lib64/libavutil.so
client/scarchat: /usr/lib64/libswscale.so
client/scarchat: client/CMakeFiles/scarchat.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_16) "Linking CXX executable scarchat"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/scarchat.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
client/CMakeFiles/scarchat.dir/build: client/scarchat
.PHONY : client/CMakeFiles/scarchat.dir/build

client/CMakeFiles/scarchat.dir/clean:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client && $(CMAKE_COMMAND) -P CMakeFiles/scarchat.dir/cmake_clean.cmake
.PHONY : client/CMakeFiles/scarchat.dir/clean

client/CMakeFiles/scarchat.dir/depend: client/scarchat_autogen/3YJK5W5UP7/qrc_resources.cpp
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/ganome/Projects/SCAR-719/repos/scar-chat7 /home/ganome/Projects/SCAR-719/repos/scar-chat7/client /home/ganome/Projects/SCAR-719/repos/scar-chat7/build /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/client/CMakeFiles/scarchat.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : client/CMakeFiles/scarchat.dir/depend

